Name: yafray
Version: 0.0.8
Release: 1mdk
Summary: YafRay: Yet  Another  Free  RAYtracer 
License: LGPL
Group: Graphics
Source: http://www.yafray.org/sec/2/downloads/yafray-%{version}.tar.bz2
Buildroot:  %_tmppath/%name-%version-root
BuildRequires: libz-devel
BuildRequires: libjpeg-devel
BuildRequires: scons

%description
YafRay is a graphic raytracer to render 3D models

%prep
%setup -q 

%build
scons

%install
rm -rf %buildroot
mkdir %buildroot
scons install prefix=%buildroot/usr

# our sysconf dir is /etc not /usr/etc
mv %buildroot/usr/etc %buildroot/etc

# remove .sconsign files
find %buildroot -name .sconsign -exec rm -f {} \;

%clean
rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%doc README doc/doc.html
%attr(0755,root,root) %{_bindir}/yafray
%{_sysconfdir}/gram.yafray
# Warning: Module, not development library
%{_libdir}/libyafray*
%{_libdir}/yafray



%changelog
* Thu Jul 21 2005 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2005-07-21 15:51:11 (395)
- Adding YafRay 0.0.8 to contrib
